Package org.eclipse.jdt.ui.wizards

# Class ClasspathAttributeConfiguration.ClasspathAttributeAccess

java.lang.Object
org.eclipse.jdt.ui.wizards.ClasspathAttributeConfiguration.ClasspathAttributeAccess

Enclosing class:
  `ClasspathAttributeConfiguration`

public abstract static class ClasspathAttributeConfiguration.ClasspathAttributeAccess extends Object
This class provides information about the attribute to be rendered or configured.

## Constructor Summary

Constructors
Constructor
Description
`ClasspathAttributeAccess()`

## Method Summary

Modifier and Type
Method
Description
`abstract IClasspathAttribute`
`getClasspathAttribute()`
Returns the classpath attribute
`abstract IJavaProject`
`getJavaProject()`
Returns the Java project the current attribute is part of.
`abstract IClasspathEntry`
`getParentClasspassEntry()`
Returns the classpath entry the current attribute is part of

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClasspathAttributeAccess

public ClasspathAttributeAccess()

## Method Details

### getClasspathAttribute

public abstract IClasspathAttribute getClasspathAttribute()
Returns the classpath attribute

Returns:
  the classpath attribute

### getParentClasspassEntry

public abstract IClasspathEntry getParentClasspassEntry()
Returns the classpath entry the current attribute is part of

Returns:
  the parent classpath entry

### getJavaProject

public abstract IJavaProject getJavaProject()
Returns the Java project the current attribute is part of.

Returns:
  the parent Java project